Installation: TAO Installation mot Putty siehe vorheriges Ticket

Jens's Avatar

Jens

25 Jul, 2018 05:08 PM

Produkt: Tao Contao

Hallo möglicherweise fehlen mir noch ein paar Informationen.

Ich arbeite mit Putty.

Könnten Sie bitte so freundlich sein mir den erforderlichen Anweisungsblock
Und eine genauere Anleitung zu geben, damit ich die Tao installieren kann.

Vielen Dank.

Das nachfolgende funktioniert so nicht und mir fehlen da tiefere Kenntnisse.

Demnach soll ich folgende Eingaben machen um die erforderlichen
Erweiterungen zu installieren.

Aus welchem Verzeichnis soll ich den

composer require \
    madeyourday/contao-rocksolid-f​rontend-helper:^2.​0​ \
    madeyourday/contao-rocksolid-c​ustom-elements:^2.​0​ \
    madeyourday/contao-rocksolid-c​olumns:^2.​0​ \
    madeyourday/contao-rocksolid-i​con-picker:^2.​0​ \
    madeyourday/contao-rocksolid-s​lider:^2.​0​ \
    madeyourday/contao-rocksolid-t​heme-assistant:^2.​0​ \
    madeyourday/contao-rocksolid-m​ega-menu:^2.​0​ \
    madeyourday/contao-rocksolid-a​ntispam:^2.​0​

aufrufen?

managed-edition\web ?

Vielen Dank

  1. Support Staff 1 Posted by RockSolid Theme... on 26 Jul, 2018 08:29 AM

    RockSolid Themes's Avatar

    Was genau bedeutet „Das nachfolgende funktioniert so nicht“? Wird eine Fehlermeldung angezeigt?

    Aus welchem Verzeichnis soll ich den … aufrufen?

    Den Composer-Aufruf führen Sie bitte direkt im Haupt-Ordner der Contao-Installation durch. Also in dem Ordner in dem sich der Web-Ordner befindet.

  2. 2 Posted by info on 26 Jul, 2018 08:33 AM

    info's Avatar

    Hallo,

    -bash: composer: Kommando nicht gefunden.

    Danke

  3. Support Staff 3 Posted by RockSolid Theme... on 26 Jul, 2018 09:16 AM

    RockSolid Themes's Avatar

    Die Meldung „composer: Kommando nicht gefunden.“ bedeutet das Composer nicht global auf dem System installiert ist.

    In Ihrem ersten Ticket haben Sie angeführt „Die Installation von Contao habe ich mittels Composer vorgenommen.“. Falls Sie dabei Composer nur lokal als Phar-Datei installiert haben, lautet der richtige Aufruf:

    php composer.phar require \
        madeyourday/contao-rocksolid-frontend-helper:^2.0 \
        madeyourday/contao-rocksolid-custom-elements:^2.0 \
        madeyourday/contao-rocksolid-columns:^2.0 \
        madeyourday/contao-rocksolid-icon-picker:^2.0 \
        madeyourday/contao-rocksolid-slider:^2.0 \
        madeyourday/contao-rocksolid-theme-assistant:^2.0 \
        madeyourday/contao-rocksolid-mega-menu:^2.0 \
        madeyourday/contao-rocksolid-antispam:^2.0
    
  4. 4 Posted by Jens Paternoga on 26 Jul, 2018 09:32 AM

    Jens Paternoga's Avatar

    Hallo,

    composer.phar liegt noch ein Verzeichnis höher.
    Habe es jetzt in die Installation unter managed-edition verschoben.
    Nun kommt die Fehlermeldung gem. Anhang.
    [UnexpectedValueException] bitte suehe Screenshot.

    Danke

  5. Support Staff 5 Posted by RockSolid Theme... on 26 Jul, 2018 10:28 AM

    RockSolid Themes's Avatar

    Offenbar enthält Ihre Eingabe einige versteckte Leerzeichen die zu diesem Problem führen. Bitte versuchen Sie es mit folgendem Code-Block:

    php composer.phar require \
        madeyourday/contao-rocksolid-frontend-helper:^2.0 \
        madeyourday/contao-rocksolid-custom-elements:^2.0 \
        madeyourday/contao-rocksolid-columns:^2.0 \
        madeyourday/contao-rocksolid-icon-picker:^2.0 \
        madeyourday/contao-rocksolid-slider:^2.0 \
        madeyourday/contao-rocksolid-theme-assistant:^2.0 \
        madeyourday/contao-rocksolid-mega-menu:^2.0 \
        madeyourday/contao-rocksolid-antispam:^2.0
    
  6. 6 Posted by Jens Paternoga on 26 Jul, 2018 11:27 AM

    Jens Paternoga's Avatar

    Es tut mir leid, aber es geht immer noch nicht.
    Gleiche Fehlermeldung : Invalid Version String "^2.0"

    Danke

  7. Support Staff 7 Posted by RockSolid Theme... on 26 Jul, 2018 11:34 AM

    RockSolid Themes's Avatar

    Eventuell liegt ein Fehler mit Putty oder Ihrer Zwischenablage vor, wodurch versteckte Leerzeichen in den Text eingefügt werden. Bitte versuchen Sie es mal mit folgender Zeile, und tippen sie mit der Tastatur ab, nicht über Kopieren & Einfügen:

    php composer.phar require madeyourday/contao-rocksolid-frontend-helper:^2.0
    
  8. 8 Posted by Jens Paternoga on 26 Jul, 2018 11:46 AM

    Jens Paternoga's Avatar

    Hallo,

    per Hand eingegeben tut sich was.
    Nur leider weitere Fehler, siehe Anlage.

    Danke

  9. 9 Posted by Jens Paternoga on 26 Jul, 2018 03:20 PM

    Jens Paternoga's Avatar

    Hallo, könnte mir eventuell heute noch jemand helfen?

  10. Support Staff 10 Posted by RockSolid Theme... on 27 Jul, 2018 08:22 AM

    RockSolid Themes's Avatar

    Die Fehlermeldung besagt, dass auf Ihrem Webspace zu wenig Arbeitsspeicher zur Verfügung steht.

    Falls Sie PHP 5 verwenden — das können Sie testen indem Sie php -v ausführen — sollten Sie auf PHP 7 wechseln, dort ist der Speicherverbrauch in der Regel deutlich geringer.

  11. 11 Posted by Jens Paternoga on 27 Jul, 2018 08:45 AM

    Jens Paternoga's Avatar

    Hallo, ich verwende 7.1 und nun.
    Die Contao Installation beschwert sich janicht über zu wenig Speicher. Und nei der Installation geht es ja nur um rin Template? Bitte helfen Sie mir. Danke

  12. Support Staff 12 Posted by RockSolid Theme... on 27 Jul, 2018 02:49 PM

    RockSolid Themes's Avatar

    Composer benötigt für die Installation einer Erweiterung mehr Arbeitsspeicher als für die Installation von Contao selbst. Um das Problem zu lösen, muss entweder das Speicherlimit Ihres Webspace erhöht werden oder Sie verwenden den Contao-Manager der die speicherintensive Arbeit in die Cloud auslagern kann.

  13. 13 Posted by Jens Paternoga on 27 Jul, 2018 03:19 PM

    Jens Paternoga's Avatar

    Hallo,

    ich habe eine Memory_limit von 1024MB.
    Den Manager kann ich nicht nutzen wie zum Anfang meines Tickets beschrieben.

    Wie geht's nun weiter? Was können Sie mir empfehlen?

    Vielen Dank!

  14. Support Staff 14 Posted by RockSolid Theme... on 30 Jul, 2018 06:15 AM

    RockSolid Themes's Avatar

    Sie können entweder das Speicherlimit am Webspace erhöhen, oder Sie versuchen die Installation lokal durchzuführen und übertragen danach die composer.lock-Datei auf den Webspace. Weitere Informationen dazu finden Sie im Contao-Community-Forum: https://community.contao.org/de/showthread.php?70185#post467877

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac